Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.awt.dnd
Class MouseDragGestureRecognizer

    java.lang.Object
      |
      +--java.awt.dnd.DragGestureRecognizer
            |
            +--java.awt.dnd.MouseDragGestureRecognizer

All Implemented Interfaces:
  EventListener, MouseListener, MouseMotionListener

public abstract class MouseDragGestureRecognizer
extends DragGestureRecognizer
implements MouseListener, MouseMotionListener

This abstract subclass of `DragGestureRecognizer` defines a `DragGestureRecognizer` for mouse based gestures. Each platform will implement its own concrete subclass of this class, available via the Toolkit.createDragGestureRecognizer() method, to encapsulate the recognition of the platform dependent mouse gesture(s) that initiate a Drag and Drop operation.

See Also:
  `DragGestureListener`, `DragGestureEvent`, `DragSource`

Fields inherited from class java.awt.dnd.DragGestureRecognizer
`component, dragGestureListener, dragSource, events, sourceActions`

Constructor Summary
`protected` | `MouseDragGestureRecognizer(DragSource ds)` Construct a new `MouseDragGestureRecognizer` given the `DragSource` for the `Component`.
`protected` | `MouseDragGestureRecognizer(DragSource ds, Component c)` Construct a new `MouseDragGestureRecognizer` given the `DragSource` for the `Component` c, and the `Component` to observe.
`protected` | `MouseDragGestureRecognizer(DragSource ds, Component c, int act)` Construct a new `MouseDragGestureRecognizer` given the `DragSource` for the `Component` c, the `Component` to observe, and the action(s) permitted for this drag operation.
`protected` | `MouseDragGestureRecognizer(DragSource ds, Component c, int act, DragGestureListener dgl)` Construct a new `MouseDragGestureRecognizer` given the `DragSource` for the `Component` c, the `Component` to observe, the action(s) permitted for this drag operation, and the `DragGestureListener` to notify when a drag gesture is detected.

Method Summary
`void` | `mouseClicked(MouseEvent e)` Invoked when the mouse has been clicked on a component.
`void` | `mouseDragged(MouseEvent e)` Invoked when a mouse button is pressed on a component.
`void` | `mouseEntered(MouseEvent e)` Invoked when the mouse enters a component.
`void` | `mouseExited(MouseEvent e)` Invoked when the mouse exits a component.
`void` | `mouseMoved(MouseEvent e)` Invoked when the mouse button has been moved on a component (with no buttons no down).
`void` | `mousePressed(MouseEvent e)` Invoked when a mouse button has been pressed on a `Component`.
`void` | `mouseReleased(MouseEvent e)` Invoked when a mouse button has been released on a component.
`protected void` | `registerListeners()` register this DragGestureRecognizer's Listeners with the Component
`protected void` | `unregisterListeners()` unregister this DragGestureRecognizer's Listeners with the Component subclasses must override this method

Methods inherited from class java.awt.dnd.DragGestureRecognizer
`addDragGestureListener, appendEvent, fireDragGestureRecognized, getComponent, getDragSource, getSourceActions, getTriggerEvent, removeDragGestureListener, resetRecognizer, setComponent, setSourceActions`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MouseDragGestureRecognizer

    protected MouseDragGestureRecognizer(DragSource ds,
                                         Component c,
                                         int act,
                                         DragGestureListener dgl)

  Construct a new `MouseDragGestureRecognizer` given the `DragSource` for the `Component` c, the `Component` to observe, the action(s) permitted for this drag operation, and the `DragGestureListener` to notify when a drag gesture is detected.

  Parameters:
    `ds` - The DragSource for the Component c
    `c` - The Component to observe
    `act` - The actions permitted for this Drag
    `dgl` - The DragGestureListener to notify when a gesture is detected

### MouseDragGestureRecognizer

    protected MouseDragGestureRecognizer(DragSource ds,
                                         Component c,
                                         int act)

  Construct a new `MouseDragGestureRecognizer` given the `DragSource` for the `Component` c, the `Component` to observe, and the action(s) permitted for this drag operation.

  Parameters:
    `ds` - The DragSource for the Component c
    `c` - The Component to observe
    `act` - The actions permitted for this drag

### MouseDragGestureRecognizer

    protected MouseDragGestureRecognizer(DragSource ds,
                                         Component c)

  Construct a new `MouseDragGestureRecognizer` given the `DragSource` for the `Component` c, and the `Component` to observe.

  Parameters:
    `ds` - The DragSource for the Component c
    `c` - The Component to observe

### MouseDragGestureRecognizer

    protected MouseDragGestureRecognizer(DragSource ds)

  Construct a new `MouseDragGestureRecognizer` given the `DragSource` for the `Component`.

  Parameters:
    `ds` - The DragSource for the Component

Method Detail

### registerListeners

    protected void registerListeners()

  register this DragGestureRecognizer's Listeners with the Component
  Overrides:
    `registerListeners` in class `DragGestureRecognizer`

### unregisterListeners

    protected void unregisterListeners()

  unregister this DragGestureRecognizer's Listeners with the Component subclasses must override this method
  Overrides:
    `unregisterListeners` in class `DragGestureRecognizer`

### mouseClicked

    public void mouseClicked(MouseEvent e)

  Invoked when the mouse has been clicked on a component.

  Specified by:
    `mouseClicked` in interface `MouseListener`
  Parameters:
    `e` - the `MouseEvent`

### mousePressed

    public void mousePressed(MouseEvent e)

  Invoked when a mouse button has been pressed on a `Component`.

  Specified by:
    `mousePressed` in interface `MouseListener`
  Parameters:
    `e` - the `MouseEvent`

### mouseReleased

    public void mouseReleased(MouseEvent e)

  Invoked when a mouse button has been released on a component.

  Specified by:
    `mouseReleased` in interface `MouseListener`
  Parameters:
    `e` - the `MouseEvent`

### mouseEntered

    public void mouseEntered(MouseEvent e)

  Invoked when the mouse enters a component.

  Specified by:
    `mouseEntered` in interface `MouseListener`
  Parameters:
    `e` - the `MouseEvent`

### mouseExited

    public void mouseExited(MouseEvent e)

  Invoked when the mouse exits a component.

  Specified by:
    `mouseExited` in interface `MouseListener`
  Parameters:
    `e` - the `MouseEvent`

### mouseDragged

    public void mouseDragged(MouseEvent e)

  Invoked when a mouse button is pressed on a component.

  Specified by:
    `mouseDragged` in interface `MouseMotionListener`
  Parameters:
    `e` - the `MouseEvent`

### mouseMoved

    public void mouseMoved(MouseEvent e)

  Invoked when the mouse button has been moved on a component (with no buttons no down).

  Specified by:
    `mouseMoved` in interface `MouseMotionListener`
  Parameters:
    `e` - the `MouseEvent`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.